Subject: Re: [bug#34378] update GNOME Planner to current

From: Ludovic Courtès <[email-masked]>
Date: Mon, 11 Mar 2019 16:45:21 +0100

Hi Andrew,

Sorry for the loooong delay!

Andrew Miloradovsky <[email-masked]> skribis:

> On 2/12/19 9:58 PM, Ludovic Courtès wrote:
>> Hi Andrew,
>>
>> Andrew Miloradovsky <[email-masked]> skribis:
>>
>>> The release is fairly old and contains prebuilt scripts.
>> What do you mean by “prebuilt scripts”?
>
> By pre-built scripts I mean things like `configure`, generated by
> auto-tools and gnome-common.

Oh I see.  We currently accept scripts generated by the Autotools (it’s
pretty much an exception in our policy; perhaps that’ll change in the
future.)

>>> +  ;;; Warning:
>>> +  ;;; The documentation generation mechanism is long broken. No Yelp yet.
>>> +  ;;; So the output doesn't contain any docs, unlike the ancient release.
>>> +  ;;; OTOH, that's probably not a huge concern, given the circumstances.
>>> +  (let ((commit "fa7cbe309d5a705502ca46f808bcf78840804dbe")
>>> +        (revision "2019-02-08"))
>> How did you pick this particular commit?  In general we only package
>> releases, unless there’s a compelling reason to build straight from the
>> VCS.  Do you think that’s the case here?
>
> I picked that commit just because it was the most recent: the release is
> expected to be very difficult to make, a lot of things need to be
> fixed/modernized first, and there are not many people to review the
> patches (one to be exact, AFAICT).
>
> I'm not sure there are really compelling reasons: most/all of the
> changes made since the release are either about translations
> (documentation generation is broken anyways), or fixes of deprecation
> warnings (which otherwise would prevent it from building in Nixpkgs with
> the default -Werror).

OK.  I think it’s a case where we’d wait for upstream to push a new
release, rather than guess which commit is appropriate to distribute.

Thoughts?

Thanks,
Ludo’.